javax.swing.undo

## Interface StateEditable

    public interface StateEditable

StateEditable defines the interface for objects that can have their state undone/redone by a StateEdit.

See Also:
  `StateEdit`

### Field Summary

Fields
`static String` `RCSID` Resource ID for this class.

### Method Summary

Methods
`void` `restoreState(Hashtable<?,?> state)` Upon receiving this message the receiver should extract any relevant state out of state.
`void` `storeState(Hashtable<Object,Object> state)` Upon receiving this message the receiver should place any relevant state into state.

### Field Detail

#### RCSID

    static final String RCSID

Resource ID for this class.

See Also:
  Constant Field Values

### Method Detail

#### storeState

    void storeState(Hashtable<Object,Object> state)

Upon receiving this message the receiver should place any relevant state into state.

#### restoreState

    void restoreState(Hashtable<?,?> state)

Upon receiving this message the receiver should extract any relevant state out of state.

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.